## akonadi-contacts 23.08.1

=== debian/changelog ===
akonadi-contacts (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:53:33 +0100

akonadi-contacts (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:18 +0100

akonadi-contacts (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:28:31 +0100

akonadi-contacts (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:22 +0100

akonadi-contacts (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library packages:
    - libkf5akonadicontact5abi1 -> libkpim5akonadicontact5
    - libkf5contacteditor5 -> libkpim5contacteditor5
  * Update installed files
  * Drop enable_debianabimanager.diff
  * Rename data package: libkf5akonadicontact-data ->
    libkpim5akonadicontact-data
  * Sync debian/rules with debian, provide virtual ABI package
  * Add xvfb to Build-Depends
  * Sync debian/rules with debian, provide virtual ABI package
  * Remove symbols files, no longer used
  * Add libkpim5akonadicontact-plugins package
  * Inject dependency on libkpim5akonadicontact-plugins in debian/rules
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:57:59 +0100

akonadi-contacts (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:32:33 +0000

akonadi-contacts (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:07:57 -0600

akonadi-contacts (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:24:21 +0000

akonadi-contacts (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:03:20 +0000

akonadi-contacts (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 15:59:46 +0000

akonadi-contacts (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:37:52 +0000

akonadi-contacts (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:03:35 +0000
