=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.91.0~),
               libgrantlee5-dev,
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5akonadimime-dev (>= 4:23.08.1~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5completion-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5contacts-dev (>= 5:5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5grantleetheme-dev (>= 23.08.1~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev (>= 5.91.0~),
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5libkleo-dev (>= 4:23.08.1~),
               libkf5mime-dev (>= 23.08.1~),
               libkf5prison-dev (>= 5.91.0~),
               libkf5service-dev (>= 5.91.0~),
               libkf5textwidgets-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               xvfb,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts

Package: libkpim5akonadicontact-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.03.70~),
        kdepimlibs-data (<< 4:16.08~),
        libakonadi-kf5 (<< 4:16.04.3~),
        libkf5akonadicontact5 (<< 4:16.04.3~),
        libkf5akonadisocialutils5 (<< 4:16.04.3~),
        libkf5akonadixml5 (<< 4:16.04.3~),
        ${kde-l10n:all},
Replaces: kdepim-runtime (<< 4:18.03.70~),
          kdepimlibs-data (<< 4:16.08~),
          libakonadi-kf5 (<< 4:16.04.3~),
          libkf5akonadicontact5 (<< 4:16.04.3~),
          libkf5akonadicontact-data (<< 4:23.04.1~),
          libkf5akonadisocialutils5 (<< 4:16.04.3~),
          libkf5akonadixml5 (<< 4:16.04.3~),
          ${kde-l10n:all},
Description: akonadi-contacts - data files
 This package contains data files for the akonadi-contacts libraries.

Package: libkf5akonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.1~),
         libkf5config-dev (>= 5.91.0~),
         libkf5contacteditor-dev (>= 4:23.08.1~),
         libkf5contacts-dev (>= 5:5.91.0~),
         libkf5grantleetheme-dev (>= 23.08.1~),
         libkf5i18n-dev (>= 5.91.0~),
         libkf5iconthemes-dev (>= 5.91.0~),
         libkf5mime-dev (>= 23.08.1~),
         libkf5prison-dev (>= 5.91.0~),
         libkf5textwidgets-dev (>= 5.91.0~),
         libkf5xmlgui-dev (>= 5.91.0~),
         libkpim5akonadicontact5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim5akonadicontact-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Replaces: libkf5akonadicontact5abi1 (<< 4:23.04.1~),
Description: Akonadi contacts access library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim5akonadicontact5
Architecture: any
Multi-Arch: same
Depends: libkpim5akonadicontact-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.03.70~)
Replaces: kdepim-runtime (<< 4:18.03.70~)
Provides: ${ABI:VirtualPackage},
Description: Akonadi contacts access library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5contacteditor-data
Architecture: any
Priority: optional
Section: oldlibs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5contacteditor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim5contacteditor5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim5contacteditor5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: Akonadi contact editor library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
